From 0a26de5e33ababd1fb0cac6772c67b005ed8cde7 Mon Sep 17 00:00:00 2001
From: Ben Boeckel <mathstuf@gmail.com>
Date: Fri, 26 Apr 2019 20:22:40 -0400
Subject: [PATCH 21/29] codespell: fix spelling errors

(cherry picked from commit 5238e9575906297608ff802a27e2ff9effa3b338)
---
 NEWS                                             | 12 ++++++------
 README                                           |  2 +-
 TODO                                             | 10 +++++-----
 catalog/systemd.catalog.in                       |  2 +-
 docs/TEMPORARY_DIRECTORIES.md                    |  2 +-
 hwdb/70-pointingstick.hwdb                       |  2 +-
 man/resolvectl.xml                               |  2 +-
 man/sd_bus_close.xml                             |  2 +-
 man/sd_bus_message_new_method_error.xml          |  2 +-
 man/sd_bus_message_rewind.xml                    |  4 ++--
 man/sd_bus_message_verify_type.xml               |  2 +-
 man/systemd-analyze.xml                          |  2 +-
 man/systemd-boot.xml                             |  2 +-
 man/systemd-gpt-auto-generator.xml               |  2 +-
 man/systemd-networkd-wait-online.service.xml     |  2 +-
 man/systemd-resolved.service.xml                 |  2 +-
 man/systemd.exec.xml                             |  4 ++--
 man/systemd.mount.xml                            |  2 +-
 man/systemd.netdev.xml                           |  4 ++--
 man/systemd.network.xml                          |  6 +++---
 man/systemd.nspawn.xml                           |  2 +-
 man/systemd.swap.xml                             |  2 +-
 man/systemd.timer.xml                            |  2 +-
 man/systemd.unit.xml                             |  6 +++---
 man/user-system-options.xml                      |  2 +-
 meson.build                                      |  2 +-
 src/basic/audit-util.c                           |  2 +-
 src/basic/blockdev-util.c                        |  2 +-
 src/basic/cgroup-util.c                          |  4 ++--
 src/basic/conf-files.c                           |  2 +-
 src/basic/fd-util.c                              |  2 +-
 src/basic/locale-util.c                          |  2 +-
 src/basic/raw-clone.h                            |  2 +-
 src/basic/terminal-util.c                        |  2 +-
 src/basic/user-util.c                            |  2 +-
 src/basic/virt.c                                 |  2 +-
 src/boot/efi/console.c                           |  2 +-
 src/boot/efi/shim.c                              |  2 +-
 src/cgtop/cgtop.c                                |  2 +-
 src/core/cgroup.c                                |  4 ++--
 src/core/cgroup.h                                |  2 +-
 src/core/dbus-unit.c                             |  2 +-
 src/core/dbus.c                                  |  2 +-
 src/core/device.c                                |  6 +++---
 src/core/execute.c                               |  4 ++--
 src/core/job.h                                   |  2 +-
 src/core/main.c                                  |  4 ++--
 src/core/manager.c                               | 16 ++++++++--------
 src/core/socket.c                                |  4 ++--
 src/core/unit.c                                  |  4 ++--
 src/core/unit.h                                  |  4 ++--
 src/coredump/coredump.c                          |  2 +-
 src/coredump/coredumpctl.c                       |  4 ++--
 src/import/curl-util.c                           |  2 +-
 src/import/pull-common.c                         |  2 +-
 src/journal-remote/microhttpd-util.h             |  2 +-
 src/journal/cat.c                                |  2 +-
 src/journal/journalctl.c                         |  4 ++--
 src/journal/journald-audit.c                     |  2 +-
 src/journal/journald-context.c                   |  2 +-
 src/journal/lookup3.c                            |  2 +-
 src/libsystemd-network/test-ndisc-ra.c           |  4 ++--
 src/libsystemd/sd-bus/GVARIANT-SERIALIZATION     |  2 +-
 src/libsystemd/sd-bus/bus-control.c              |  2 +-
 src/libsystemd/sd-bus/bus-internal.c             |  2 +-
 src/libsystemd/sd-bus/bus-message.c              |  2 +-
 src/libsystemd/sd-bus/sd-bus.c                   |  8 ++++----
 src/libsystemd/sd-bus/test-bus-queue-ref-cycle.c |  2 +-
 src/libsystemd/sd-event/sd-event.c               |  2 +-
 src/libudev/libudev-monitor.c                    |  2 +-
 src/login/logind-dbus.c                          |  2 +-
 src/login/logind-session-device.c                |  2 +-
 src/login/logind-user.c                          |  2 +-
 src/login/pam_systemd.c                          |  2 +-
 src/network/netdev/bridge.c                      |  2 +-
 src/network/networkd-dhcp4.c                     |  2 +-
 src/network/networkd-link.c                      |  2 +-
 src/network/networkd-network.c                   |  4 ++--
 src/network/networkd-util.c                      |  4 ++--
 src/network/networkd-util.h                      |  2 +-
 src/notify/notify.c                              |  2 +-
 src/nspawn/nspawn-cgroup.c                       |  2 +-
 src/nspawn/nspawn-oci.c                          |  1 +
 src/nspawn/nspawn-patch-uid.c                    |  2 +-
 src/nspawn/nspawn.c                              |  6 +++---
 src/nss-resolve/nss-resolve.c                    |  2 +-
 src/portable/portable.c                          |  2 +-
 src/resolve/resolvconf-compat.c                  |  2 +-
 src/resolve/resolved-dns-dnssec.c                |  4 ++--
 src/resolve/resolved-dns-packet.c                |  2 +-
 src/resolve/resolved-dns-question.c              |  2 +-
 src/resolve/resolved-dns-scope.c                 |  2 +-
 src/resolve/resolved-dns-server.c                |  4 ++--
 src/resolve/resolved-dns-stream.c                |  2 +-
 src/resolve/resolved-dns-transaction.c           |  8 ++++----
 src/resolve/resolved-dns-trust-anchor.c          |  4 ++--
 src/resolve/resolved-dns-zone.c                  |  2 +-
 src/resolve/resolved-dnstls-gnutls.c             |  2 +-
 src/shared/bootspec.c                            |  4 ++--
 src/shared/dissect-image.c                       |  2 +-
 src/shared/dissect-image.h                       |  2 +-
 src/shared/exec-util.c                           |  2 +-
 src/shared/format-table.c                        |  2 +-
 src/shared/fstab-util.c                          |  2 +-
 src/shared/install.c                             |  4 ++--
 src/shared/journal-util.c                        |  2 +-
 src/shared/json.h                                |  4 ++--
 src/shared/main-func.h                           |  2 +-
 src/shared/mount-util.c                          |  2 +-
 src/shared/nscd-flush.c                          |  4 ++--
 src/shared/os-util.c                             |  2 +-
 src/shutdown/shutdown.c                          |  2 +-
 src/shutdown/umount.c                            |  6 +++---
 src/systemctl/systemctl.c                        | 16 ++++++++--------
 src/systemd/sd-bus-vtable.h                      | 10 +++++-----
 src/test/test-bpf.c                              |  2 +-
 src/test/test-fileio.c                           |  2 +-
 src/test/test-install-root.c                     |  2 +-
 src/test/test-pretty-print.c                     |  2 +-
 src/test/test-sleep.c                            |  4 ++--
 src/test/test-systemd-tmpfiles.py                |  4 ++--
 src/time-wait-sync/time-wait-sync.c              |  2 +-
 src/timesync/timesyncd.c                         |  2 +-
 src/udev/cdrom_id/cdrom_id.c                     |  2 +-
 src/udev/net/naming-scheme.h                     |  2 +-
 src/vconsole/vconsole-setup.c                    |  2 +-
 test/TEST-20-MAINPIDGAMES/testsuite.sh           |  4 ++--
 test/TEST-21-SYSUSERS/unhappy-2.input            |  2 +-
 test/TEST-22-TMPFILES/test-03.sh                 |  2 +-
 test/mkosi.default.networkd-test                 |  2 +-
 test/sysv-generator-test.py                      |  2 +-
 test/test-network/systemd-networkd-tests.py      |  2 +-
 test/udev-test.pl                                |  2 +-
 travis-ci/Dockerfile                             |  2 +-
 134 files changed, 202 insertions(+), 201 deletions(-)

diff --git a/NEWS b/NEWS
index 2cf96c2a82..77bcb46390 100644
--- a/NEWS
+++ b/NEWS
@@ -732,7 +732,7 @@ CHANGES WITH 240:
         * Journal messages that are generated whenever a unit enters the failed
           state are now tagged with a unique MESSAGE_ID. Similarly, messages
           generated whenever a service process exits are now made recognizable,
-          too. A taged message is also emitted whenever a unit enters the
+          too. A tagged message is also emitted whenever a unit enters the
           "dead" state on success.
 
         * systemd-run gained a new switch --working-directory= for configuring
@@ -974,7 +974,7 @@ CHANGES WITH 239:
           not created by systemd-sysusers anymore.
 
           NOTE: This has a chance of breaking nss-ldap and similar NSS modules
-          that embedd a network facing module into any process using getpwuid()
+          that embed a network facing module into any process using getpwuid()
           or related call: the dynamic allocation of the user ID for
           systemd-resolved.service means the service manager has to check NSS
           if the user name is already taken when forking off the service. Since
@@ -1243,7 +1243,7 @@ CHANGES WITH 239:
           PrivateDevices=, ProtectSystem=, …) are used. This option is hence
           primarily useful for services that do not use any of the other file
           system namespacing options. One such service is systemd-udevd.service
-          wher this is now used by default.
+          where this is now used by default.
 
         * ConditionSecurity= gained a new value "uefi-secureboot" that is true
           when the system is booted in UEFI "secure mode".
@@ -2226,7 +2226,7 @@ CHANGES WITH 234:
           /etc/machine-id. If the machine ID could not be determined,
           $KERNEL_INSTALL_MACHINE_ID will be empty. Plugins should not put
           anything in the entry directory (passed as the second argument) if
-          $KERNEL_INSTALL_MACHINE_ID is empty. For backwards compatiblity, a
+          $KERNEL_INSTALL_MACHINE_ID is empty. For backwards compatibility, a
           temporary directory is passed as the entry directory and removed
           after all the plugins exit.
 
@@ -5954,7 +5954,7 @@ CHANGES WITH 214:
         * We temporarily dropped the "-l" switch for fsck invocations,
           since they collide with the flock() logic above. util-linux
           upstream has been changed already to avoid this conflict,
-          and we will readd "-l" as soon as util-linux with this
+          and we will re-add "-l" as soon as util-linux with this
           change has been released.
 
         * The dependency on libattr has been removed. Since a long
@@ -6240,7 +6240,7 @@ CHANGES WITH 213:
           where the local administrator's configuration in /etc always
           overrides any other settings.
 
-        Contributions fron: Ali H. Caliskan, Alison Chaiken, Bas van
+        Contributions from: Ali H. Caliskan, Alison Chaiken, Bas van
         den Berg, Brandon Philips, Cristian Rodríguez, Daniel Buch,
         Dan Kilman, Dave Reisner, David Härdeman, David Herrmann,
         David Strauss, Dimitris Spingos, Djalal Harouni, Eelco
diff --git a/README b/README
index c6523193fa..fcf20ed9f8 100644
--- a/README
+++ b/README
@@ -182,7 +182,7 @@ REQUIREMENTS:
         To build in directory build/:
           meson build/ && ninja -C build
 
-        Any configuration options can be specfied as -Darg=value... arguments
+        Any configuration options can be specified as -Darg=value... arguments
         to meson. After the build directory is initially configured, meson will
         refuse to run again, and options must be changed with:
           mesonconf -Darg=value...
diff --git a/TODO b/TODO
index 663e4fedd8..69d4dc957f 100644
--- a/TODO
+++ b/TODO
@@ -167,7 +167,7 @@ Features:
   selected user is resolvable in the service even if it ships its own /etc/passwd)
 
 * Fix DECIMAL_STR_MAX or DECIMAL_STR_WIDTH. One includes a trailing NUL, the
-  other doesn't. What a desaster. Probably to exclude it. Also
+  other doesn't. What a disaster. Probably to exclude it. Also
   DECIMAL_STR_WIDTH should probably add an extra "-" into account for negative
   numbers.
 
@@ -196,7 +196,7 @@ Features:
   specific paths only like this.
 
 * add CopyFile= or so as unit file setting that may be used to copy files or
-  directory trees from the host to te services RootImage= and RootDirectory=
+  directory trees from the host to the services RootImage= and RootDirectory=
   environment. Which we can use for /etc/machine-id and in particular
   /etc/resolv.conf. Should be smart and do something useful on read-only
   images, for example fallback to read-only bind mounting the file instead.
@@ -456,7 +456,7 @@ Features:
 * PID 1 should send out sd_notify("WATCHDOG=1") messages (for usage in the --user mode, and when run via nspawn)
 
 * there's probably something wrong with having user mounts below /sys,
-  as we have for debugfs. for exmaple, src/core/mount.c handles mounts
+  as we have for debugfs. for example, src/core/mount.c handles mounts
   prefixed with /sys generally special.
   http://lists.freedesktop.org/archives/systemd-devel/2015-June/032962.html
 
@@ -518,7 +518,7 @@ Features:
 
 * systemctl: if some operation fails, show log output?
 
-* systemctl edit: use equvalent of cat() to insert existing config as a comment, prepended with #.
+* systemctl edit: use equivalent of cat() to insert existing config as a comment, prepended with #.
   Upon editor exit, lines with one # are removed, lines with two # are left with one #, etc.
 
 * exponential backoff in timesyncd when we cannot reach a server
@@ -732,7 +732,7 @@ Features:
   - sd-journal: speed up sd_journal_get_data() with transparent hash table in bg
   - journald: when dropping msgs due to ratelimit make sure to write
     "dropped %u messages" not only when we are about to print the next
-    message that works, but alraedy after a short tiemout
+    message that works, but already after a short timeout
   - check if we can make journalctl by default use --follow mode inside of less if called without args?
   - maybe add API to send pairs of iovecs via sd_journal_send
   - journal: add a setgid "systemd-journal" utility to invoke from libsystemd-journal, which passes fds via STDOUT and does PK access
diff --git a/catalog/systemd.catalog.in b/catalog/systemd.catalog.in
index 5c6799ee5d..acf2b10897 100644
--- a/catalog/systemd.catalog.in
+++ b/catalog/systemd.catalog.in
@@ -384,7 +384,7 @@ The following "tags" are possible:
 - "split-usr" — /usr is a separate file system and was not mounted when systemd
   was booted
 - "cgroups-missing" — the kernel was compiled without cgroup support or access
-  to expected interface files is resticted
+  to expected interface files is restricted
 - "var-run-bad" — /var/run is not a symlink to /run
 - "overflowuid-not-65534" — the kernel user ID used for "unknown" users (with
   NFS or user namespaces) is not 65534
diff --git a/meson.build b/meson.build
index 79195c9748..4377fe8419 100644
--- a/meson.build
+++ b/meson.build
@@ -1327,7 +1327,7 @@ if want_remote != 'false'
                      conf.get('HAVE_LIBCURL') == 1]
         # sd-j-remote requires µhttpd, and sd-j-upload requires libcurl, so
         # it's possible to build one without the other. Complain only if
-        # support was explictly requested. The auxiliary files like sysusers
+        # support was explicitly requested. The auxiliary files like sysusers
         # config should be installed when any of the programs are built.
         if want_remote == 'true' and not (have_deps[0] and have_deps[1])
                 error('remote support was requested, but dependencies are not available')
diff --git a/src/basic/audit-util.c b/src/basic/audit-util.c
index 5cbaef3eba..6eb224b2c8 100644
--- a/src/basic/audit-util.c
+++ b/src/basic/audit-util.c
@@ -23,7 +23,7 @@ int audit_session_from_pid(pid_t pid, uint32_t *id) {
         assert(id);
 
         /* We don't convert ENOENT to ESRCH here, since we can't
-         * really distuingish between "audit is not available in the
+         * really distinguish between "audit is not available in the
          * kernel" and "the process does not exist", both which will
          * result in ENOENT. */
 
diff --git a/src/basic/blockdev-util.c b/src/basic/blockdev-util.c
index 3017ecd55d..0d7ea83b75 100644
--- a/src/basic/blockdev-util.c
+++ b/src/basic/blockdev-util.c
@@ -59,7 +59,7 @@ int get_block_device(const char *path, dev_t *dev) {
         assert(path);
         assert(dev);
 
-        /* Get's the block device directly backing a file system. If
+        /* Gets the block device directly backing a file system. If
          * the block device is encrypted, returns the device mapper
          * block device. */
 
diff --git a/src/basic/cgroup-util.c b/src/basic/cgroup-util.c
index fc28109db8..dea9d677fe 100644
--- a/src/basic/cgroup-util.c
+++ b/src/basic/cgroup-util.c
@@ -1972,7 +1972,7 @@ int cg_slice_to_path(const char *unit, char **ret) {
 
 #if HAS_FEATURE_MEMORY_SANITIZER
                 /* msan doesn't instrument stpncpy, so it thinks
-                 * n is later used unitialized:
+                 * n is later used uninitialized:
                  * https://github.com/google/sanitizers/issues/926
                  */
                 zero(n);
@@ -2621,7 +2621,7 @@ int cg_enable_everywhere(
         if (r < 0)
                 return r;
         if (r == 0) {
-                /* On the legacy hiearchy there's no concept of "enabling" controllers in cgroups defined. Let's claim
+                /* On the legacy hierarchy there's no concept of "enabling" controllers in cgroups defined. Let's claim
                  * complete success right away. (If you wonder why we return the full mask here, rather than zero: the
                  * caller tends to use the returned mask later on to compare if all controllers where properly joined,
                  * and if not requeues realization. This use is the primary purpose of the return value, hence let's
diff --git a/src/basic/conf-files.c b/src/basic/conf-files.c
index d010fbb266..7c85022f08 100644
--- a/src/basic/conf-files.c
+++ b/src/basic/conf-files.c
@@ -99,7 +99,7 @@ static int files_add(
 
                 /* Does this node have the executable bit set? */
                 if (flags & CONF_FILES_EXECUTABLE)
-                        /* As requested: check if the file is marked exectuable. Note that we don't check access(X_OK)
+                        /* As requested: check if the file is marked executable. Note that we don't check access(X_OK)
                          * here, as we care about whether the file is marked executable at all, and not whether it is
                          * executable for us, because if so, such errors are stuff we should log about. */
 
diff --git a/src/basic/fd-util.c b/src/basic/fd-util.c
index b3b840145f..e571f6616e 100644
--- a/src/basic/fd-util.c
+++ b/src/basic/fd-util.c
@@ -387,7 +387,7 @@ int fd_get_path(int fd, char **ret) {
         r = readlink_malloc(procfs_path, ret);
         if (r == -ENOENT) {
                 /* ENOENT can mean two things: that the fd does not exist or that /proc is not mounted. Let's make
-                 * things debuggable and distuingish the two. */
+                 * things debuggable and distinguish the two. */
 
                 if (access("/proc/self/fd/", F_OK) < 0)
                         /* /proc is not available or not set up properly, we're most likely in some chroot
diff --git a/src/basic/locale-util.c b/src/basic/locale-util.c
index 6f41f50641..ce9daffa7b 100644
--- a/src/basic/locale-util.c
+++ b/src/basic/locale-util.c
@@ -235,7 +235,7 @@ bool is_locale_utf8(void) {
                 goto out;
         }
 
-        /* For LC_CTYPE=="C" return true, because CTYPE is effectly
+        /* For LC_CTYPE=="C" return true, because CTYPE is effectively
          * unset and everything can do to UTF-8 nowadays. */
         set = setlocale(LC_CTYPE, NULL);
         if (!set) {
diff --git a/src/basic/raw-clone.h b/src/basic/raw-clone.h
index b8857b0cdf..b12dea2aef 100644
--- a/src/basic/raw-clone.h
+++ b/src/basic/raw-clone.h
@@ -17,7 +17,7 @@
  * @flags: Flags to pass to the clone system call
  *
  * Uses the clone system call to create a new process with the cloning flags and termination signal passed in the flags
- * parameter. Opposed to glibc's clone funtion, using this function does not set up a separate stack for the child, but
+ * parameter. Opposed to glibc's clone function, using this function does not set up a separate stack for the child, but
  * relies on copy-on-write semantics on the one stack at a common virtual address, just as fork does.
  *
  * To obtain copy-on-write semantics, flags must not contain CLONE_VM, and thus CLONE_THREAD and CLONE_SIGHAND (which
diff --git a/src/basic/terminal-util.c b/src/basic/terminal-util.c
index b692c52e59..a2ea321243 100644
--- a/src/basic/terminal-util.c
+++ b/src/basic/terminal-util.c
@@ -1182,7 +1182,7 @@ bool colors_enabled(void) {
          * (which is the explicit way to turn colors on/off). If that didn't work we turn colors off unless we are on a
          * TTY. And if we are on a TTY we turn it off if $TERM is set to "dumb". There's one special tweak though: if
          * we are PID 1 then we do not check whether we are connected to a TTY, because we don't keep /dev/console open
-         * continously due to fear of SAK, and hence things are a bit weird. */
+         * continuously due to fear of SAK, and hence things are a bit weird. */
 
         if (cached_colors_enabled < 0) {
                 int val;
diff --git a/src/basic/user-util.c b/src/basic/user-util.c
index a479590e47..2090675b0d 100644
--- a/src/basic/user-util.c
+++ b/src/basic/user-util.c
@@ -55,7 +55,7 @@ int parse_uid(const char *s, uid_t *ret) {
 
         if (!uid_is_valid(uid))
                 return -ENXIO; /* we return ENXIO instead of EINVAL
-                                * here, to make it easy to distuingish
+                                * here, to make it easy to distinguish
                                 * invalid numeric uids from invalid
                                 * strings. */
 
diff --git a/src/basic/virt.c b/src/basic/virt.c
index 5dd1bd6633..284d9b4d44 100644
--- a/src/basic/virt.c
+++ b/src/basic/virt.c
@@ -234,7 +234,7 @@ static int detect_vm_xen_dom0(void) {
                 if (streq(cap, "control_d"))
                         break;
         if (!cap) {
-                log_debug("Virtualization XEN DomU found (/proc/xen/capabilites)");
+                log_debug("Virtualization XEN DomU found (/proc/xen/capabilities)");
                 return 0;
         }
 
diff --git a/src/boot/efi/console.c b/src/boot/efi/console.c
index 4d72bada62..7f6bad1538 100644
--- a/src/boot/efi/console.c
+++ b/src/boot/efi/console.c
@@ -114,7 +114,7 @@ EFI_STATUS console_key_read(UINT64 *key, BOOLEAN wait) {
         /* fallback for firmware which does not support SimpleTextInputExProtocol
          *
          * This is also called in case ReadKeyStrokeEx did not return a key, because
-         * some broken firmwares offer SimpleTextInputExProtocol, but never acually
+         * some broken firmwares offer SimpleTextInputExProtocol, but never actually
          * handle any key. */
         err  = uefi_call_wrapper(ST->ConIn->ReadKeyStroke, 2, ST->ConIn, &k);
         if (EFI_ERROR(err))
diff --git a/src/boot/efi/shim.c b/src/boot/efi/shim.c
index f6ffed143c..9ec54796ec 100644
--- a/src/boot/efi/shim.c
+++ b/src/boot/efi/shim.c
@@ -158,7 +158,7 @@ static EFIAPI EFI_STATUS security_policy_authentication (const EFI_SECURITY_PROT
         if (status != EFI_SUCCESS)
                 return status;
 
-        /* No need to check return value, this already happend in efi_main() */
+        /* No need to check return value, this already happened in efi_main() */
         root = LibOpenRoot(h);
         dev_path_str = DevicePathToStr(dev_path);
 
diff --git a/src/cgtop/cgtop.c b/src/cgtop/cgtop.c
index f27c80120d..bde58f47a8 100644
--- a/src/cgtop/cgtop.c
+++ b/src/cgtop/cgtop.c
@@ -111,7 +111,7 @@ static bool is_root_cgroup(const char *path) {
          *
          * There's one extra complication in all of this, though 😣: if the path to the cgroup indicates we are in the
          * root cgroup this might actually not be the case, because cgroup namespacing might be in effect
-         * (CLONE_NEWCGROUP). Since there's no nice way to distuingish a real cgroup root from a fake namespaced one we
+         * (CLONE_NEWCGROUP). Since there's no nice way to distinguish a real cgroup root from a fake namespaced one we
          * do an explicit container check here, under the assumption that CLONE_NEWCGROUP is generally used when
          * container managers are used too.
          *
diff --git a/src/core/cgroup.c b/src/core/cgroup.c
index ad67ba0438..cb6ebcf9eb 100644
--- a/src/core/cgroup.c
+++ b/src/core/cgroup.c
@@ -1095,7 +1095,7 @@ static void cgroup_context_apply(
                         }
                 }
 
-                /* The bandwith limits are something that make sense to be applied to the host's root but not container
+                /* The bandwidth limits are something that make sense to be applied to the host's root but not container
                  * roots, as there we want the container manager to handle it */
                 if (is_host_root || !is_local_root) {
                         if (has_io) {
@@ -1259,7 +1259,7 @@ static void cgroup_context_apply(
                          * it also counts. But if the user never set a limit through us (i.e. we are the default of
                          * "unbounded") we leave things unmodified. For this we manage a global boolean that we turn on
                          * the first time we set a limit. Note that this boolean is flushed out on manager reload,
-                         * which is desirable so that there's an offical way to release control of the sysctl from
+                         * which is desirable so that there's an official way to release control of the sysctl from
                          * systemd: set the limit to unbounded and reload. */
 
                         if (c->tasks_max != CGROUP_LIMIT_MAX) {
diff --git a/src/core/cgroup.h b/src/core/cgroup.h
index 51e7c96d60..0179e2d588 100644
--- a/src/core/cgroup.h
+++ b/src/core/cgroup.h
@@ -25,7 +25,7 @@ typedef enum CGroupDevicePolicy {
         /* Everything forbidden, except built-in ones and listed ones. */
         CGROUP_CLOSED,
 
-        /* Everythings forbidden, except for the listed devices */
+        /* Everything forbidden, except for the listed devices */
         CGROUP_STRICT,
 
         _CGROUP_DEVICE_POLICY_MAX,
diff --git a/src/core/dbus-unit.c b/src/core/dbus-unit.c
index 6f1a74d6b5..69295e2cca 100644
--- a/src/core/dbus-unit.c
+++ b/src/core/dbus-unit.c
@@ -1867,7 +1867,7 @@ static int bus_unit_set_transient_property(
                  * transient units, but still). And "References" and "ReferencedBy" is already used as unit reference
                  * dependency type, hence let's not confuse things with that.
                  *
-                 * Note that we don't acually add the reference to the bus track. We do that only after the setup of
+                 * Note that we don't actually add the reference to the bus track. We do that only after the setup of
                  * the transient unit is complete, so that setting this property multiple times in the same transient
                  * unit creation call doesn't count as individual references. */
 
diff --git a/src/core/dbus.c b/src/core/dbus.c
index 8ae5d173f0..a8ce9ac447 100644
--- a/src/core/dbus.c
+++ b/src/core/dbus.c
@@ -1257,7 +1257,7 @@ uint64_t manager_bus_n_queued_write(Manager *m) {
         sd_bus *b;
         int r;
 
-        /* Returns the total number of messages queued for writing on all our direct and API busses. */
+        /* Returns the total number of messages queued for writing on all our direct and API buses. */
 
         SET_FOREACH(b, m->private_buses, i) {
                 uint64_t k;
diff --git a/src/core/device.c b/src/core/device.c
index 9f7caa49ec..f478393f1a 100644
--- a/src/core/device.c
+++ b/src/core/device.c
@@ -420,7 +420,7 @@ static int device_add_udev_wants(Unit *u, sd_device *dev) {
                 /* So here's a special hack, to compensate for the fact that the udev database's reload cycles are not
                  * synchronized with our own reload cycles: when we detect that the SYSTEMD_WANTS property of a device
                  * changes while the device unit is already up, let's manually trigger any new units listed in it not
-                 * seen before. This typically appens during the boot-time switch root transition, as udev devices
+                 * seen before. This typically happens during the boot-time switch root transition, as udev devices
                  * will generally already be up in the initrd, but SYSTEMD_WANTS properties get then added through udev
                  * rules only available on the host system, and thus only when the initial udev coldplug trigger runs.
                  *
@@ -525,7 +525,7 @@ static int device_setup_unit(Manager *m, sd_device *dev, const char *path, bool
 
                 delete = false;
 
-                /* Let's remove all dependencies generated due to udev properties. We'll readd whatever is configured
+                /* Let's remove all dependencies generated due to udev properties. We'll re-add whatever is configured
                  * now below. */
                 unit_remove_dependencies(u, UNIT_DEPENDENCY_UDEV);
         } else {
@@ -921,7 +921,7 @@ static int device_dispatch_io(sd_device_monitor *monitor, sd_device *dev, void *
 
         /* A change event can signal that a device is becoming ready, in particular if
          * the device is using the SYSTEMD_READY logic in udev
-         * so we need to reach the else block of the follwing if, even for change events */
+         * so we need to reach the else block of the following if, even for change events */
         if (action == DEVICE_ACTION_REMOVE) {
                 r = swap_process_device_remove(m, dev);
                 if (r < 0)
